Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## unity.query
Class LQOrderByNode

    java.lang.Object
      unity.query.LQNode
          unity.query.LQOrderByNode

All Implemented Interfaces:
  LQTreeConstants

    public class LQOrderByNode

extends LQNode

Field Summary

Fields inherited from interface unity.query.LQTreeConstants
`ADD, AGGREGATEFUNCTION, AND, APPEND, ARITH_OP, ARITHMETICFUNCTION, AS_IDENTIFIER, AS_TABLE, BAG_DIFFERENCE, BAG_INTERSECTION, BAG_UNION, BigDecimal, COMPARISON_OP, CONDITION, CONSTANTEXPRESSION, CROSSPRODUCT, DIFFERENCE, DISTRIBUTEDJOIN, DUPLICATE_ELIMINATION, DYNAMICHASHJOIN, EARLYHASHJOIN, EARLYHASHJOIN_NOBUFFER, EXPRESSION, FILTER, FULLOUTERJOIN, FUNCTION, GROUPBY, HAVING, IDENTIFIER, IN, INNERJOIN, INTEGER, INTERSECTION, JOIN, LEFTOUTERJOIN, MATCHFUNCTION, MERGE, MERGEJOIN, MINIMUM_JOIN_BUFFER_SIZE, MULT, MULT_OP, NESTEDLOOPJOIN, NOT, OR, ORDERBY, PRODUCT, PROJECTION, REAL, RIGHTOUTERJOIN, SELECTION, SQLPATTERN, STRING, TABLE, TABLE_IDENTIFIER, UNION, UNKNOWN, XOR`

Constructor Summary
`LQOrderByNode()`

Method Summary
`void` | `addExpression(LQExprNode exprNode, java.lang.String direction)`
`Operator` | `buildOperator(Operator[] children)`
`java.lang.String` | `generateSQL()`
`java.lang.String` | `getDirection(int index)`
`LQNode` | `getOrderChild(int index)`
`int` | `getOrderNumChildren()`
`boolean` | `getProjectLast()`
`java.util.ArrayList` | `getRequiredFields(java.util.ArrayList requiredFields)`
`int` | `numTuples()`
`void` | `setProjectLast(boolean b)`
`java.lang.String` | `toString()`

Methods inherited from class unity.query.LQNode
`addChild, clone, containsChild, getAllExprNodes, getChild, getChild, getChildren, getContent, getNumChildren, getOperator, getOutputRelation, getParent, getReference, getRequiredFields, getType, hasChildren, indexOfChild, print, removeChild, removeChild, removeChild, replaceChild, setChild, setContent, setMemorySizeTuples, setOperator, setParent, setReference, setType, stripDBAttr, stripDBTable, tupleSize`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LQOrderByNode

    public LQOrderByNode()

Method Detail

### addExpression

    public void addExpression(LQExprNode exprNode,
                              java.lang.String direction)

### generateSQL

    public java.lang.String generateSQL()

  Specified by:
    `generateSQL` in class `LQNode`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getProjectLast

    public boolean getProjectLast()

### setProjectLast

    public void setProjectLast(boolean b)

### buildOperator

    public Operator buildOperator(Operator[] children)
                           throws java.sql.SQLException

  Specified by:
    `buildOperator` in class `LQNode`
  Throws:
    `java.sql.SQLException`

### getRequiredFields

    public java.util.ArrayList getRequiredFields(java.util.ArrayList requiredFields)

### getDirection

    public java.lang.String getDirection(int index)

### getOrderNumChildren

    public int getOrderNumChildren()

### getOrderChild

    public LQNode getOrderChild(int index)

### numTuples

    public int numTuples()

  Overrides:
    `numTuples` in class `LQNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD